Skip to content
StraventaDocs

Approve a pending_approval disbursement (two-eyes; AC-42.5)

Same-user approval is rejected with 403 `same_user_approval_forbidden`. On approve the row transitions to `submitted` and the PSP CreateDisbursement call is made inside the same tx.

POST
/v1/payments/disbursements/{id}/approve

Same-user approval is rejected with 403 same_user_approval_forbidden. On approve the row transitions to submitted and the PSP CreateDisbursement call is made inside the same tx.

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/payments/disbursements/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve"
{}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}
{
  "error": "validation_failed",
  "message": "amount_idr is required",
  "request_id": "req_018f4d9f"
}

Was this page helpful?